package com.hs.admin.model.reqmodel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@ApiModel("账号密码")
@Data
public class CodeAndPwd {
    @ApiModelProperty(value = "账号", required = true)
    @NotBlank(message = "账号 参数必传")
    String loginName;
    @NotBlank(message = "密码 参数必传")
    @ApiModelProperty(value = "密码", required = true)
    String password;
}
