package com.hs.admin.service;

import com.hs.admin.model.SysRole;
import com.hs.admin.model.reqmodel.RoleReq;

import java.util.List;

public interface SysRoleService {
    SysRole findByCode(Long roleCode);

    boolean addRole(Long userId, RoleReq.AddRoleReq role);

    boolean deleteRole(RoleReq.DeleteRoleReq role);

    boolean updateRole(RoleReq.UpdateRoleReq role);

    List<SysRole> getAll(RoleReq.GetRoleReq role);

    SysRole info(Integer roleId);

    boolean saveUserRole(Long userId, Long saveUserId, Long roleId);
}
