package com.hs.api.mapper;

import com.hs.api.model.SerDiseaseDocRs;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface SerDiseaseDocRsMapper {
    int deleteByPrimaryKey(BigDecimal id);

    int insert(SerDiseaseDocRs record);

    SerDiseaseDocRs selectByPrimaryKey(BigDecimal id);

    List<SerDiseaseDocRs> selectAll();

    int updateByPrimaryKey(SerDiseaseDocRs record);

    List<SerDiseaseDocRs> selectByCode(@Param("docCode") String docCode,@Param("mdcCode") String mdcCode,
                                       @Param("deptCode") String deptCode,@Param("date") String date);

    List<SerDiseaseDocRs> selectByRelation(@Param("docCode") String docCode,@Param("listMdcCode") String[] listMdcCode,
                                           @Param("deptCode") String deptCode,@Param("date") String date);
}