package com.hs.api.mapper;

import com.hs.api.model.SerPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

public interface SerPageMapper {
    int deleteByPrimaryKey(Long id);

    int insert(SerPage record);

    SerPage selectByPrimaryKey(Long id);

    List<SerPage> selectAll();

    int updateByPrimaryKey(SerPage record);

    List<SerPage> selectByCodeAndDim(@Param("pageCode") Integer pageCode,@Param("inField") String inField,@Param("dimCount") int dimCount);

    List<SerPage> selectByCodeAndDimList(@Param("pageCode") Integer pageCode,@Param("inFields") Set<String> inFields,@Param("dimCount") int dimCount);
}