package com.hs.api.mapper;

import com.hs.api.model.SerProj;
import com.hs.api.model.respmodel.ProjectInfo;
import com.hs.api.model.respmodel.Summary;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface SerProjMapper {
    int deleteByPrimaryKey(BigDecimal id);

    int insert(SerProj record);

    SerProj selectByPrimaryKey(BigDecimal id);

    List<SerProj> selectAll();

    int updateByPrimaryKey(SerProj record);

    List<ProjectInfo> selectState(@Param("projType") Integer projType,
                                  @Param("typeState") Integer typeState);

    List<Summary> selectDept(@Param("date") Integer date, @Param("budgetType") Integer budgetType, @Param("userId") Long userId);
}