package com.hs.api.model.reqmodel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel(description = "调用blockValues请求的数据")
@Data
public class BlockValues {
    @ApiModelProperty(value = "pageCode", required = true)
    private Integer pageCode;
    @ApiModelProperty("病组")
    private Integer disease;
    @ApiModelProperty("科室")
    private Integer department;
    @ApiModelProperty("医生")
    private Integer doctor;
    @ApiModelProperty("时间")
    @NotNull(message = "time 参数必传")
    private Integer time;
}
