package com.hs.api.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BudgetValue {
    @ApiModelProperty(value = "项目id")
    private BigDecimal projId;

    @ApiModelProperty(value = "去年值")
    private BigDecimal qnz;

    @ApiModelProperty(value = "往期趋势")
    private BigDecimal wqqs;

    @ApiModelProperty(value = "同级同类位置历史")
    private BigDecimal ls;

    @ApiModelProperty(value = "同级同类位置目标")
    private BigDecimal mb;

    @ApiModelProperty(value = "初始运算值")
    private BigDecimal csysz;

    @ApiModelProperty(value = "初始运算值同比")
    private BigDecimal csyszTb;

    @ApiModelProperty(value = "预算值")
    private BigDecimal ysz;

    @ApiModelProperty(value = "预算值同比")
    private BigDecimal yszTb;

    @ApiModelProperty(value = "实值")
    private BigDecimal sz;

    @ApiModelProperty(value = "执行偏离")
    private BigDecimal zxpl;

    @ApiModelProperty(value = "排序")
    private BigDecimal sort;

    @ApiModelProperty(value = "去年值单位")
    private String qnzUnit;

    @ApiModelProperty(value = "初始运算值单位")
    private String csyszUnit;

    @ApiModelProperty(value = "运算值单位")
    private String yszUnit;

    @ApiModelProperty(value = "实值单位")
    private String szUnit;

}
