package com.hs.admin.mapper;

import com.hs.admin.model.DicOrg;
import com.hs.admin.model.respmodel.DicOrgList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DicOrgMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(DicOrg record);

    DicOrg selectByPrimaryKey(Integer id);

    List<DicOrg> selectAll();

    int updateByPrimaryKey(DicOrg record);

    List<DicOrgList> selectParentAll();

    List<DicOrg> selectByUser(@Param("userId") Integer userId);

    DicOrg selectByName(@Param("orgName") String orgName);
}