package com.hs.admin.mapper;

import com.hs.admin.model.SysMenu;
import com.hs.admin.model.respmodel.SysMenuList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysMenuMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SysMenu record);

    SysMenu selectByPrimaryKey(Integer id);

    List<SysMenu> selectAll();

    int updateByPrimaryKey(SysMenu record);

    List<SysMenuList> selectMenuAllByUser(Integer userId);

    List<SysMenuList> selectMenuByRole(Integer userId);

    List<SysMenuList> selectParentAll();

    Integer selectMaxSort(@Param("parentId") Long parentId);
}