package com.hs.admin.mapper;

import com.hs.admin.model.SysUserMenuRs;
import com.hs.admin.model.respmodel.SysUserMenuRsList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysUserMenuRsMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SysUserMenuRs record);

    SysUserMenuRs selectByPrimaryKey(Integer id);

    List<SysUserMenuRs> selectAll();

    int updateByPrimaryKey(SysUserMenuRs record);

    List<SysUserMenuRsList> selectByUser(@Param("userId") Integer userId);

    int deleteAllByUser(@Param("userId") Long userId);

    SysUserMenuRs selectByUserWithMenu(@Param("userId") Long userId,@Param("menuId") Long menuId);
}