package com.hs.admin.service;

import com.hs.admin.model.DicOrg;
import com.hs.admin.model.reqmodel.OrgReq;
import com.hs.admin.model.respmodel.DicOrgList;
import com.hs.admin.model.respmodel.SysUserOrgRsList;

import java.util.List;

public interface DicOrgService {
    //顶级机构的父级id
    final static Integer ORG_TOP_PARENT_ID = 0;

    List<DicOrgList> getParentAll(OrgReq.GetOrgReq org);

    List<DicOrg> getAll();

    DicOrg info(Integer orgId);

    boolean addOrg(Integer userId,OrgReq.AddOrgReq org);

    boolean deleteOrg(OrgReq.DeleteOrgReq org);

    boolean updateOrg(OrgReq.UpdateOrgReq org);

    DicOrg getByName(String orgName);

    List<SysUserOrgRsList> getUserOrg(Integer userId);

    boolean saveUserOrg(Long userId, Long saveUserId, List<Long> org);
}
