package com.hs.admin.service;

import java.util.List;

public interface ServiceBase<T> {
    /**
     * 新增
     *
     * @param t
     * @return
     */
    int add(T t);

    /**
     * 查询所有
     *
     * @return
     */
    List<T> findAll();

    /**
     * 根据id查询
     *
     * @param id
     * @return
     */
    T find(Integer id);

    /**
     * 物理删除
     *
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * 逻辑删除
     *
     * @param id
     * @return
     */
    int logicDelete(Integer id);

    /**
     * 更新
     *
     * @param t
     * @return
     */
    int update(T t);
}
