package com.hs.api;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;

@EnableAsync
@SpringBootApplication
@MapperScan("com.hs.api.mapper")
@ComponentScan(basePackages = {"com.hs.common.config","com.hs.api"})
public class HsApiApplication {

    public static void main(String[] args) {
        SpringApplication.run(HsApiApplication.class, args);
    }

}
