package com.hs.api.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 医生疾病关系入参实体
 */
@Data
public class DiseaseDoc {

    @ApiModelProperty("医生编码")
    private String docCode;
    @ApiModelProperty("疾病编码")
    private String mdcCode;
    @ApiModelProperty("科室编码")
    private String deptCode;
    @ApiModelProperty(value = "时间", required = true)
    @NotNull(message = "date 参数必传")
    private String date;
}
