package com.hs.api.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class ReqDimValue {

    @ApiModelProperty(value = "pageCode", required = true)
    @NotNull(message = "pageCode 参数必传")
    private String pageCode;
    @ApiModelProperty("机构id")
    private Long orgId;
    @ApiModelProperty("时间")
    @NotNull(message = "date 参数必传")
    private String date;
}
