package com.hs.api.model.reqmodel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class UpdatePass {
    @ApiModelProperty(value = "账号", required = true)
    @NotNull(message = "账号 参数必传")
    String loginName;

    @NotBlank(message = "旧密码 参数必传")
    @ApiModelProperty(value = "旧密码", required = true)
    String oldPassword;

    @NotBlank(message = "新密码 参数必传")
    @ApiModelProperty(value = "新密码", required = true)
    String newPassword;
}
