package com.hs.api.service;

import java.util.List;

public interface ServiceBase<T> {
    /**
     * 新增
     * @param t
     * @return
     */
    int add(T t) ;

    /**
     * 查询所有
     * @return
     */
    List<T> findAll();

    /**
     * 根据id查询
     * @param id
     * @return
     */
    T find(Long id);

    /**
     * 物理删除
     * @param id
     * @return
     */
    int delete(Long id);

    /**
     * 逻辑删除
     * @param id
     * @return
     */
    int logicDelete(Long id);

    /**
     * 更新
     * @param t
     * @return
     */
    int update(T t);
}
