package com.suvalue.dynamic.datasource.configures;

import com.suvalue.dynamic.datasource.DynamicDataSource;
import com.suvalue.dynamic.datasource.config.DataSourceConfig;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConditionalOnWebApplication
@EnableConfigurationProperties({DataSourceConfig.class})
public class DynamicDataSourceConfigure {
}
